
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用函数格式化EXPLAIN PLAN / iVAN</title>

    <meta name="description" content="用函数格式化EXPLAIN PLAN EXPLAIN PLAN命令的输出结果是解决SQL效率低下问题的最重要的诊断工具之一.此命令加载一个工作表格(默认名称为PLAN_TABLE),表格中带有Oracle优化器为SQL语句计算的执行计划步骤.例如: EXPLAIN PLAN FOR SELECT empno, ename FROM emp WHERE ename LIKE 'S%'; 由于PLAN_TABLE中的行形成了一个等级,对其进行查询需要应用SELECT语句中的两个复杂子语句--START WITH与CONNECT BY.第">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">用函数格式化EXPLAIN PLAN</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>EXPLAIN PLAN命令的输出结果是解决SQL效率低下问题的最重要的诊断工具之一。此命令加载一个工作表格（默认名称为PLAN_TABLE），表格中带有Oracle优化器为SQL语句计算的执行计划步骤。例如：</p>
<p>EXPLAIN PLAN FOR</p>
<p>SELECT empno, ename</p>
<p>FROM emp</p>
<p>WHERE ename LIKE 'S%';</p>
<p>由于PLAN_TABLE中的行形成了一个等级，对其进行查询需要应用SELECT语句中的两个复杂子语句——START WITH与CONNECT BY。第一次在Oracle 9i中出现并在10g中得到扩充的DBMS_XPLAN使格式化及显示执行计划更为容易。</p>
<p>DBMS_XPLAN.DISPLAY是一个表格标值函数，它显示PLAN_TABLE的内容。与常规的纯量函数SUBSTR或总计函数SUM不同的是，表格函数返回一个完整的行集合(rowset)。它们用在SELECT语句的FROM子语句中，前面必须加上TABLE这个词。如：</p>
<p>SELECT *</p>
<p>FROM TABLE(DBMS_XPLAN.DISPLAY);</p>
<p>列表A显示的是上述EXPLAIN PLAN语句的结果，并由DBMS_XPLAN.DISPLAY格式化。</p>
<p>值得注意的是，DBMS_XPLAN还能从存储在系统全局区(System Global Area, SGA)内的指针显示“实时”执行计划。列表B显示的是由用户SCOTT执行的同一SQL语句。通过查看V$SESSION视图，你可以找到执行SCOTT任务的最后一个SQL ID。这反过来又可输入到DBMS_XPLAN.DISPLAY_CURSOR中，获得指针所使用的执行计划。</p>
<p>最后，DBMS_XPLAN.DISPLAY_AWR函数可用来查寻Oracle 10g的自动负荷信息库(Automatic Workload Repository, AWR)获得的历史SQL语句，并显示它的执行计划。它显示一个你可以访问的含七天历史记录的滚动窗口。</p>
<p>所有这三个函数都是协调SQL语句的强大工具。</p>
<p>Bob Watkins(OCP、MCDBA、MCSE、MCT)是一个有25年经验的计算机专业人士，从事过技术培训师、顾问与数据库管理员等职 。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 16:22:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e5%8f%a5/" title="语句">语句</a>, <a href="https://www.iamivan.net/tag/select/" title="select">select</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e6%a0%bc/" title="表格">表格</a>, <a href="https://www.iamivan.net/tag/explain/" title="Explain">Explain</a>, <a href="https://www.iamivan.net/tag/dbms_xplan/" title="DBMS&lowbar;XPLAN">DBMS&lowbar;XPLAN</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>用函数格式化EXPLAIN PLAN的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdEDqXz.html" rel="bookmark">PostgreSQL 妙用explain Plan Rows快速估算结果集数量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://people.planetpostgresql.org/dfetter/index.php?/archives/80-Approximate-Counts.html 通过这种方法,我们可以快速的估算一个表,视图的记录数,当然也包括带条件的查询中,最终结果的返回集. 例如: postgres=# EXPLAIN (FORMAT JSON) SELECT 1 FROM t limit 1; QUERY PLAN -------------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ol4qb.html" rel="bookmark">EXPLAIN PLAN FOR 和 SET AUTOTRACE之间的差别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通常我们使用 EXPLAIN PLAN FOR 和 SET AUTOTRACE 来查看sql语句的执行计划,这里做一个小实验来看看两种方法对sql执行情况的差别. yang@rac1&gt;create table yang_t as select * from t; Table created. yang@rac1&gt;set autot on exp yang@rac1&gt;select * from yang_t;         ID  NAME ---------- ------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8Djlp.html" rel="bookmark">PHP自定义函数格式化json数据示例&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP自定义函数格式化json数据的方法.分享给大家供大家参考,具体如下: &lt;?php /** * Formats a JSON string for pretty printing * * @param string $json The JSON to make pretty * @param bool $html Insert nonbreaking spaces and &lt;br /&gt;s for tabs and linebreaks * @return string			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Y984z.html" rel="bookmark">Oracle 执行计划（Explain Plan） 说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果要分析某条SQL的性能问题,通常我们要先看SQL的执行计划,看看SQL的每一步执行是否存在问题. 如果一条SQL平时执行的好好的,却有一天突然性能很差,如果排除了系统资源和阻塞的原因,那么基本可以断定是执行计划出了问题.              看懂执行计划也就成了SQL优化的先决条件. 这里的SQL优化指的是SQL性能问题的定位,定位后就可以解决问题.     一．         查看执行计划的三种方法 1.1 设置autotrace 序号 命令 解释 1 SET AUTOTRACE 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPkQDvM.html" rel="bookmark">使用 EXPLAIN PLAN 获取SQL语句执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     SQL查询语句的性能从一定程度上影响整个数据库的性能.很多情况下,数据库性能的低下差不多都是不良SQL语句所引起.而SQL语句的执行 计划则决定了SQL语句将会采用何种方式从数据库提取数据并返回给客户端,本文描述的将是如何通过EXPLAIN PLAN 获取SQL语句执行计划来获 取SQL语句的执行计划. 一.获取SQL语句执行计划的方式     1. 使用explain plan 将执行计划加载到表plan_table,然后查询该表来获取预估的执行计划      2. 查询动态性能视图			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mqa9mkM.html" rel="bookmark">&lbrack;20171201&rsqb;关于explain plan&period;txt</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[20171201]关于explain plan.txt --//大家都应该知道使用explain plan看执行计划,有时候显示的执行计划不是真实的执行计划. --//一般不建议采用explain plan 看执行计划. --//toad设计一直有一个小小缺陷,就是扫描sga时找到sql语句查询执行计划, --//它仅仅查询v$sql_plan child_number =0的是否存在,有一些情况child_number =0是已经无效的执行计划,甚至不存在的执行计划. --//这样依旧调用e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b26YNvb.html" rel="bookmark">深入剖析PHP中printf&lpar;&rpar;函数格式化使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				printf()函数优点在于可以格式化输出! printf的格式控制的完整格式: % - 0 m.n l或h 格式字符 下面对组成格式说明的各项加以说明: ①%:表示格式说明的起始符号,不可缺少. ②-:有-表示左对齐输出,如省略表示右对齐输出. ③0:有0表示指定空位填0,如省略表示指定空位不填. ④m.n:m指域宽,即对应的输出项在输出设备上所占的字符数.N指精度.用于说明输出的实型数的小数位数.为指定n时,隐含的精度为n=6位. ⑤l或h:l对整型指long型,对实型指double型.h用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5Ym7p.html" rel="bookmark">ORACLE TO&lowbar;CHAR函数格式化数字的出现空格的原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在这篇博客SQL挑战--如何高效生成编码里 面我由于需要将数字格式化为字符,像12需要格式化0012这样的字符,所以使用了TO_CHAR(数字,'0000')这样的写法,后面0000表示缺 省补零,测试过程中,我发发现TO_CHAR(number,'0000') 会多一个空格.有点纳闷为什么了会多一个空格. 后面经过查看官方文档.同事讨论以及网友提供的资料,终于把这个问题给弄清楚了.下面梳理.总结于此,希望对其它人有所帮助. 在官方文档https://docs.oracle.com/cd/B			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5VZWz.html" rel="bookmark">thinkphp 前台html调用函数 格式化输出</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				仅仅是输出变量并不能满足模板输出的需要,内置模板引擎支持对模板变量使用调节器和格式化功能,其实也就是提供函数支持,并支持多个函数同时使用.用于模板标签的函数可以是PHP内置函数或者是用户自定义函数,和smarty不同,用于模板的函数不需要特别的定义. 模板变量的函数调用格式为: XML/HTML代码   {$varnamefunction1function2=arg1,arg2,### } 说明: { 和 $ 符号之间不能有空格 ,后面参数的空格就没有问题 ###表示模板变量本身的参数位置 支持			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3rKWz.html" rel="bookmark" class="title">HotSpot SA &num;4：输出类加载路径</a>
					<div>
						参考R大的文章,也写了一个SA的小工具,可以输出指定类(使用-Dme.kisimple.just4fun.ClassPathDump=类名指定)是从什么地方加载进来的, package me.kisi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKJL8M.html" rel="bookmark" class="title">项目进度控制学习体会</a>
					<div>
						进度控制两个最实际的过程一个是计划,一个是跟踪调整.进度计划需要两个比较关键的数据,一个是WBS,一个是估计工期.估计工期一般来说可以根据分项的工时消耗情况与资源配置情况综合得出,WBS则需要一些经验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balLrJz.html" rel="bookmark" class="title">减少Scala中的代码重复</a>
					<div>
						所有的函数都被分割成通用部分,它们在每次函数调用中都相同,以及非通用部分,在不同的函数调用中可能会变化.通用部分是函数体,而非通用部分必须由参数提供.当你把函数值用做参数时,算法的非通用部分就是它代表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kq5Kz.html" rel="bookmark" class="title">PHP中将文件载入数组</a>
					<div>
						使用file()函数将文件载入数组,文件中的每一行作为数组的一个元素. 实例: array_file.php: view sourceprint? 01.&lt;?php 02.    $DOCUME ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8NDDp.html" rel="bookmark" class="title">如何快速设置XP系统的无线网络&quest;</a>
					<div>
						  XP系统快速设置无线网络的方法步骤: 1.在windows xp系统桌面上,依次单击&quot;开始&quot;/&quot;设置&quot;/&quot;控制面板&quot;命令,打开控制面板窗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Z5Xb.html" rel="bookmark" class="title">思科路由器怎么启用风暴控制？</a>
					<div>
						这个其实是比较实用的.当端口接收到大量的广播.单播或多播包时,就会发生广播风暴.转发这些包将导致网络速度变慢或超时.借助于对端口的广播风暴控制,可以有效地避免硬件损坏或链路故障导致的网络瘫痪.默认状态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eL1Xb.html" rel="bookmark" class="title">有道词典怎么添加词库</a>
					<div>
						  先得下载星际译王对应的词典文件,然后从中提取 .ifo .dz .idx三个文件,然后进行添加,添加方法如下: 1.打开有道词典桌面端,点击左下角的有道图标; 2.在弹出的功能菜单中选择&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwYqQb.html" rel="bookmark" class="title">Mac OS X用户检查方法</a>
					<div>
						  1, 打开终端 2, 输入以下命令, 下载脚本 curl -O https://raw.githubusercontent.com/PaloAltoNetworks-BD/WireLurkerDe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6nVVb.html" rel="bookmark" class="title">java-Android中的onConfigurationChanged方法不能被调用</a>
					<div>
						问题描述 Android中的onConfigurationChanged方法不能被调用 在Android程序设置中,当转化屏幕方向时,系统告知不能调用onCreate()方法.我在manifest上添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6raxb.html" rel="bookmark" class="title">代码-关于datagridview在多线程中滚动条无法使用的问题</a>
					<div>
						问题描述 关于datagridview在多线程中滚动条无法使用的问题 private delegate void InvokeHandler(); //子线程中 this.Invoke(new Inv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YLvoM.html" rel="bookmark" class="title">PdfMasher 0&period;1&period;2发布 PDF文档转换工具</a>
					<div>
						PdfMasher是一个将PDF 文档转换成可以阅读的电子书HTML文件格式的现成工具.大多数http://www.aliyun.com/zixun/aggregation/34488.html&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkWw4b.html" rel="bookmark" class="title">天猫魔搭&comma;优衣库虚拟试衣间，京东在线试衣是用什么技术&quest;</a>
					<div>
						问题描述 天猫魔搭,优衣库虚拟试衣间,京东在线试衣是用什么技术? 请问天猫魔搭,优衣库虚拟试衣间等是什么什么技术,是用HTML5还是Flash 3D ,还是用3D引擎???大神求答. 解决方案 3D建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA73P3z.html" rel="bookmark" class="title">c&plus;&plus;-c编译原理，如何处理同名局部变量和全局变量</a>
					<div>
						问题描述 c编译原理,如何处理同名局部变量和全局变量 c中,一个文件里局部变量可以和全局变量重名.那这个文件编译出来的.o中,这两个变量的符号是怎么表示的呢?不可能符号是相同的呀!c++处理这种情况时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn72Dkz.html" rel="bookmark" class="title">图片-安卓实现弹出的activity具有模糊玻璃的效果并且还可以看到底部activity的视图</a>
					<div>
						问题描述 安卓实现弹出的activity具有模糊玻璃的效果并且还可以看到底部activity的视图 我已经实现了模糊玻璃的效果但是看不到底部的视图 是不是需要加什么属性 解决方案 能不能告诉我模糊玻璃 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAB83M.html" rel="bookmark" class="title">识别-Windows环境下ndis过滤驱动</a>
					<div>
						问题描述 Windows环境下ndis过滤驱动 各位大神,我想请教下,本机向外发送文件,通过网络过滤驱动,可以识别出外发数据包的源吗? 解决方案 源包是可以识别的,通过SmartSniff就可以,但如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke5G1b.html" rel="bookmark" class="title">android 快速开发框架，基于组件化的MVP结构</a>
					<div>
						AndroidMouldProject2 android快速开发模板工程,组件化的MVP结构,方便快速开发和多人协作,减少代码耦合,同时方便自定义扩展,封装了一些常用 的模块,通过引用AndroidB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRNBwb.html" rel="bookmark" class="title">关于用户断网之后再登录 的问题却无法登录 使用socket做整体网络监控，可能是 节点关闭了  求解</a>
					<div>
						问题描述 关于用户断网之后再登录 的问题却无法登录 使用socket做整体网络监控,可能是 节点关闭了 求解 关于用户断网之后再登录 的问题却无法登录 使用socket做整体网络监控,可能是 节点关闭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXQwvz.html" rel="bookmark" class="title">谢文：3G口号距离实际依然遥远希望互联网站长不要盲目追求3G</a>
					<div>
						互联网资深人士谢文 5月17日下午消息,2009第四届互联网站长年会在北京召开,本届大会以&quot;将增长进行到底&quot;为主题,新浪科技为本次年会首席合作伙伴及专访门户.互联网资深人士谢文接受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1EANz.html" rel="bookmark" class="title">Android（Xamarin）之旅（一）</a>
					<div>
						原文:Android(Xamarin)之旅(一) Xamarin废话我就不多说了. 就是一款编写Android和IOS应用的IDE,从Visual Studio2010就开始有个这个插件.只要发展什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRNJAp.html" rel="bookmark" class="title">libreoffice v3&period;3&period;0&period;4发布 免费开源的办公软件</a>
					<div>
						LibreOffice是由 Google 等赞助的OpenOffice的分支版本.LibreOffice同样免费开源,支持Windows,Linux,MacOS X (X11)和 Solaris 等操 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1Nwqb.html" rel="bookmark" class="title">浅析Ruby中的类对象的概念&lowbar;ruby专题</a>
					<div>
						 面向对象的程序涉及类和对象. 一个类是蓝本,从个别对象被创建.在面向对象的术语,我们说小明的自行车是被称为自行车类的对象实例. 任何车辆的例子.它包括轮子,马力,燃油或燃气罐容量.这些特点形成的类车 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2qa6M.html" rel="bookmark" class="title">iOS 四种回调方法总结&lowbar;IOS</a>
					<div>
						最近对做IOS 项目遇到回调,抽空把相关资料整理下,以下是整理内容: 回调 回调就是将一段可执行的代码和一个特定的事件绑定起来.当特定的事件发生时,就会执行这段代码. 在Objective-C中,有四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Yynkz.html" rel="bookmark" class="title">Docker技术入门与实战（第2版）3&period;7　上传镜像</a>
					<div>
						3.7 上传镜像 可以使用docker push命令上传镜像到仓库,默认上传到Docker Hub官方仓库(需要登录).命令格式为: docker push NAME[:TAG] | [REGISTR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXL1Oz.html" rel="bookmark" class="title">【JavaScript】JavaScript的对象-对象专门语句</a>
					<div>
						1.Math对象: 是一个静态对象,不能使用new关键字创建对象实例,应直接使用&quot;对象名.成员&quot;的格式来访问其属性或方法,例如var num=Math.random(); 属性:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWR6Yb.html" rel="bookmark" class="title">asp&period;net 如何实现页面全屏，</a>
					<div>
						问题描述 asp.net做了个全屏考试页面,但是始终不能全屏,需要用IE页面打开,不能看到最大化,最小化按钮,不知道如何实现,有没有人做过呢,高手路过请留步. 解决方案 解决方案二:没有这个功能影响考 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvqY9Ab.html" rel="bookmark" class="title">乐蜂网改版 ：&OpenCurlyDoubleQuote;变装&rdquo;为特卖&plus;商城模式，加入更多的促销活动</a>
					<div>
						[亿邦动力网讯]6月5日消息,亿邦动力网获悉,国内女性时尚购物网站乐蜂网将于6月6日上线新版首页,据悉,乐蜂网的新版首页将一改原有的商城平台模式,&quot;变装&quot;为特卖+商城模式,加入更多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOkVORz.html" rel="bookmark" class="title">郑书仁：索尼爱立信要在智能手机上重点突破</a>
					<div>
						索尼爱立信(中国)副总裁兼市场部主管郑书仁2月3日在接受记者独家专访时表示:2010年索尼爱立信要在智能手机上重点突破. 郑书仁告诉记者,这两年智能手机发展速度十分迅速,前两年索尼爱立信由于过于看重音 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z75d1qM.html" rel="bookmark" class="title">&period;NET做的程序在电脑上运行正常为什么在手机上有问题</a>
					<div>
						问题描述 .NET做的程序在电脑上运行正常为什么在手机上有问题,应该怎么解决 解决方案 解决方案二:看你提问的方式,估计你得找人解决解决方案三: 解决方案四:.........环境都不同,当然不能运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvqDJVb.html" rel="bookmark" class="title">关于c&num;程序日志打印的问题</a>
					<div>
						问题描述 日志打印是一个很重要的事,现在一般都是在程序内直接打印文本内容进行的,而我现在正做一个日志编码的工作,意思就是把之前的文本内容用数字编码来代替,但引出一个问题就是:如果在程序源码内硬写数字码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgW5j6M.html" rel="bookmark" class="title">工具or玩具  Google&plus;vsFacebook</a>
					<div>
						对于时下大热的两大社交工具,美国科技博客 TechCrunch 编辑约翰·比格斯(John Biggs近日撰文,文章称Google++ 是工具,Facebook是玩具.以下为全文摘要: 昨天有人和我讨 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
